diff --git a/cpu/ext/ffmpeg-codecs/CMakeLists.txt b/cpu/ext/ffmpeg-codecs/CMakeLists.txt
index 7bde28b..c8067c4 100644
--- a/cpu/ext/ffmpeg-codecs/CMakeLists.txt
+++ b/cpu/ext/ffmpeg-codecs/CMakeLists.txt
@@ -38,9 +38,9 @@ endif()
 
 # Set basic FFmpeg and codec libs
 if("${CMAKE_SIZEOF_VOID_P}" STREQUAL "8")
-  set(SVTHEVCENC_LIB ${VPL_DEP_DIR}/lib/libSvtHevcEnc.a)
-  set(SVTAV1ENC_LIB ${VPL_DEP_DIR}/lib/libSvtAv1Enc.a)
-  set(DAV1D_LIB ${VPL_DEP_DIR}/lib/libdav1d.a)
+  set(SVTHEVCENC_LIB ${VPL_DEP_DIR}/lib64/libSvtHevcEnc.so)
+  set(SVTAV1ENC_LIB ${VPL_DEP_DIR}/lib64/libSvtAv1Enc.so)
+  set(DAV1D_LIB ${VPL_DEP_DIR}/lib64/libdav1d.so)
 
   if(NOT EXISTS ${SVTHEVCENC_LIB}
      OR NOT EXISTS ${SVTAV1ENC_LIB}
@@ -49,10 +49,10 @@ if("${CMAKE_SIZEOF_VOID_P}" STREQUAL "8")
   endif()
 endif()
 
-set(AVCODEC_LIB ${VPL_DEP_DIR}/lib/libavcodec.a)
-set(AVUTIL_LIB ${VPL_DEP_DIR}/lib/libavutil.a)
-set(AVFILTER_LIB ${VPL_DEP_DIR}/lib/libavfilter.a)
-set(SWSCALE_LIB ${VPL_DEP_DIR}/lib/libswscale.a)
+set(AVCODEC_LIB ${VPL_DEP_DIR}/lib64/libavcodec.so)
+set(AVUTIL_LIB ${VPL_DEP_DIR}/lib64/libavutil.so)
+set(AVFILTER_LIB ${VPL_DEP_DIR}/lib64/libavfilter.so)
+set(SWSCALE_LIB ${VPL_DEP_DIR}/lib64/libswscale.so)
 
 if(NOT EXISTS ${AVCODEC_LIB}
    OR NOT EXISTS ${AVUTIL_LIB}
@@ -135,14 +135,14 @@ endif()
 
 # Set AVC encoder lib name
 if(BUILD_GPL_X264)
-  set(H264_ENC_LIB ${VPL_DEP_DIR}/lib/libx264.a)
+  set(H264_ENC_LIB ${VPL_DEP_DIR}/lib64/libx264.so)
   if(NOT EXISTS ${H264_ENC_LIB})
     message(FATAL_ERROR "Could not find x264 libraries")
   else()
     message(STATUS "Building with GPL x264 for AVC implementation")
   endif()
 elseif(BUILD_OPENH264)
-  set(H264_ENC_LIB ${VPL_DEP_DIR}/lib/libopenh264.a)
+  set(H264_ENC_LIB ${VPL_DEP_DIR}/lib64/libopenh264.so)
   if(NOT EXISTS ${H264_ENC_LIB})
     message(FATAL_ERROR "Could not find openh264 libraries")
   else()
